Skip to content
iTick
  1. Docs
  2. REST API
  3. Future
  4. Batch Real-Time Tick

Batch Real-Time Tick

Batch obtain real-time Tick data for multiple futures contracts, covering China's four major futures exchanges and mainstream international futures markets, including commodity futures, financial futures and all types of contracts. Provide millisecond-accurate transaction-by-transaction records, including transaction prices, trading volumes, buy/sell directions and timestamps, along with real-time order book snapshots.

GET/future/ticks

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

Code Examples

import requests

url = "https://api.itick.org/future/ticks?region=US&codes=NQ,ES"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/future/ticks?region=US&codes=NQ,ES

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "NQ": {
      "s": "NQ",
      "ld": 22948.5,
      "t": 1754062000728,  // 2025-08-01 15:26:40 UTC
      "v": 17
    },
    "ES": {
      "s": "ES",
      "ld": 65.04,
      "t": 1754689608000,  // 2025-08-08 21:46:48 UTC
      "v": 181428
    }
  }
}